Skip to Content
CheckoutAPI ReferenceSettingsUpdate the webhook URL

Update the webhook URL

PATCH/settings

Set or clear the webhook endpoint URL that receives event deliveries. Pass null to disable webhooks.

Headers

HeaderDescriptionRequired
AuthorizationBearer token with your secret API keyyes

Request Body

FieldTypeRequiredDescription
webhook_urlstring | null

Example Request

Request

const response = await fetch('https://checkout-api.exodus-int.com/settings', {
  method: 'PATCH',
  headers: {
    Authorization: 'Bearer sk_live_xxxxxxxxxxxxxxxx',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    "webhook_url": "string"
  }),
});

Responses

StatusDescription
200The updated webhook URL.
400Validation error
401Missing or invalid authentication

Response body

FieldTypeRequiredDescription
webhook_urlstring | nullyes

Example Response

{
  "webhook_url": "https://yoursite.com/webhooks/exodus"
}

Error Response

Error (e.g. 400)

{
  "error": {
    "type": "validation_error",
    "message": "amount must be a positive number",
    "param": "amount"
  }
}

Start building

XO

Request Demo

Schedule a call with our team

Select a product
Arrow right

Start building
Grateful

Contact Us

We're here to help